Get Category List
curl --request GET \
--url https://api.birdeye.com/resources/v1/listing/{businessNumber}/category-listimport requests
url = "https://api.birdeye.com/resources/v1/listing/{businessNumber}/category-list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/listing/{businessNumber}/category-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"primary": true
}
]{
"code": 400,
"message": "Source name not found"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Listing
Get Category List
The Get Category List API fetches the list of category values for the selected source.
GET
/
v1
/
listing
/
{businessNumber}
/
category-list
Get Category List
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Business Number.
Query Parameters
Source name for which category data needs to be fetched. Possible values are BING, HEALTHCARE, GMB, VENDOR, FACEBOOK, APPLE.
Code of the country, Possible values are US,CA,AU,PR,NZ,MX,IN,UK,FR,IT.